From d186cbf47aea7cbc406e02d92446640712b75e80 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 2 Sep 2025 05:28:30 +0300
Subject: [PATCH 29/29] Drop flatpak support for gtk4x-client

See RM #1670

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 platforms/Makefile.am                      |  2 --
 platforms/flatpak/build_flatpak.sh         |  4 ----
 platforms/flatpak/org.freeciv.gtk4x.mp.yml | 24 ----------------------
 platforms/flatpak/org.freeciv.gtk4x.yml    | 24 ----------------------
 4 files changed, 54 deletions(-)
 delete mode 100644 platforms/flatpak/org.freeciv.gtk4x.mp.yml
 delete mode 100644 platforms/flatpak/org.freeciv.gtk4x.yml

diff --git a/platforms/Makefile.am b/platforms/Makefile.am
index 68ab05beac..1f5a6b1381 100644
--- a/platforms/Makefile.am
+++ b/platforms/Makefile.am
@@ -10,10 +10,8 @@ EXTRA_DIST =						\
 		flatpak/build_flatpak.sh		\
 		flatpak/org.freeciv.gtk322.yml		\
 		flatpak/org.freeciv.gtk4.yml		\
-		flatpak/org.freeciv.gtk4x.yml		\
 		flatpak/org.freeciv.gtk3.mp.yml		\
 		flatpak/org.freeciv.gtk4.mp.yml		\
-		flatpak/org.freeciv.gtk4x.mp.yml	\
 		flatpak/org.freeciv.qt.yml		\
 		flatpak/org.freeciv.qt.mp.yml		\
 		flatpak/org.freeciv.sdl2.yml		\
diff --git a/platforms/flatpak/build_flatpak.sh b/platforms/flatpak/build_flatpak.sh
index e7ac9f6332..d3456daaf4 100755
--- a/platforms/flatpak/build_flatpak.sh
+++ b/platforms/flatpak/build_flatpak.sh
@@ -24,9 +24,7 @@ FCVER=$(../../fc_version)
 
 if ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk4.yml ||
    ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk322.yml ||
-   ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk4x.yml ||
    ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk4.mp.yml ||
-   ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk4x.mp.yml ||
    ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.gtk3.mp.yml ||
    ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.qt.yml ||
    ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state" --force-clean "${BROOT}/build" org.freeciv.sdl2.yml ||
@@ -35,9 +33,7 @@ if ! flatpak-builder --user --repo="${BROOT}/repo" --state-dir="${BROOT}/state"
    ! flatpak build-update-repo "${BROOT}/repo" ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk4-${FCVER}.flatpak" org.freeciv.gtk4 ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk3.22-${FCVER}.flatpak" org.freeciv.gtk322 ||
-   ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk4x-${FCVER}.flatpak" org.freeciv.gtk4x ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk4-mp-${FCVER}.flatpak" org.freeciv.gtk4.mp ||
-   ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk4x-mp-${FCVER}.flatpak" org.freeciv.gtk4x.mp ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-gtk3-mp-${FCVER}.flatpak" org.freeciv.gtk3.mp ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-qt-${FCVER}.flatpak" org.freeciv.qt ||
    ! flatpak build-bundle "${BROOT}/repo" "${BROOT}/freeciv-sdl2-${FCVER}.flatpak" org.freeciv.sdl2 ||
diff --git a/platforms/flatpak/org.freeciv.gtk4x.mp.yml b/platforms/flatpak/org.freeciv.gtk4x.mp.yml
deleted file mode 100644
index cf8e7d05e1..0000000000
--- a/platforms/flatpak/org.freeciv.gtk4x.mp.yml
+++ /dev/null
@@ -1,24 +0,0 @@
-app-id: org.freeciv.gtk4x.mp
-runtime: org.gnome.Platform
-runtime-version: '48'
-sdk: org.gnome.Sdk
-command: freeciv-mp-gtk4x
-rename-icon: freeciv-modpack
-finish-args:
-  - --socket=wayland
-  - --socket=fallback-x11
-  - --share=ipc
-  - --share=network
-  - --filesystem=~/.freeciv:create
-modules:
-  - name: freeciv-mp-gtk4x
-    buildsystem: meson
-    no-autogen: true
-    config-opts:
-      - -Dfcmp=gtk4x
-      - -Dclients=[]
-      - -Dserver=disabled
-      - -Dtools=[]
-    sources:
-      - type: dir
-        path: ../..
diff --git a/platforms/flatpak/org.freeciv.gtk4x.yml b/platforms/flatpak/org.freeciv.gtk4x.yml
deleted file mode 100644
index 833f169979..0000000000
--- a/platforms/flatpak/org.freeciv.gtk4x.yml
+++ /dev/null
@@ -1,24 +0,0 @@
-app-id: org.freeciv.gtk4x
-runtime: org.gnome.Platform
-runtime-version: '48'
-sdk: org.gnome.Sdk
-command: freeciv-gtk4x
-rename-icon: freeciv-client
-finish-args:
-  - --socket=wayland
-  - --socket=fallback-x11
-  - --share=ipc
-  - --share=network
-  - --socket=pulseaudio
-  - --filesystem=~/.freeciv:create
-modules:
-  - name: freeciv-gtk4x
-    buildsystem: meson
-    no-autogen: true
-    config-opts:
-      - -Dclients=gtk4x
-      - -Dfcmp=[]
-      - -Dtools=[]
-    sources:
-      - type: dir
-        path: ../..
-- 
2.50.1